summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-text')
-rw-r--r--app-text/teckit/Manifest1
-rw-r--r--app-text/teckit/teckit-2.5.10.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/app-text/teckit/Manifest b/app-text/teckit/Manifest
index 514fd810c71..219b05849e0 100644
--- a/app-text/teckit/Manifest
+++ b/app-text/teckit/Manifest
@@ -1 +1,2 @@
+DIST teckit-2.5.10.tar.gz 2112617 BLAKE2B fe38bbecfeec61f2c926fc033230a753ce1435fdf77bebe3c6d6c427a46bd5019d23605ee3d73f733d6345301a26ad3b1fd207daa46fdf66a7728be4569758aa SHA512 c2d3bcf1245723bb3bbe9c147fc3024e667ab4d1280aa0f8b5394b2dd9bb75e3f2bf42f057744fa86ed551ebf3e0f13300072a0325888cb8f9501d874c356f34
DIST teckit-2.5.6.tar.gz 2500800 BLAKE2B a41c51e80b558d9735be782ed655fe36ec673180e559a3063c3b78ece14e470e194740f2039863a6e7a12e006c2314c3b73eff5de4d289c8eca1b6c9744f1e0d SHA512 d3462dbf22658de85fd718c43229259c460730d907226435195742f1ab65accc4ec83f7b6cb32a0e99fa12ddb7f2b7b5f2598c8853636aa5b31c8592ed9b4745
diff --git a/app-text/teckit/teckit-2.5.10.ebuild b/app-text/teckit/teckit-2.5.10.ebuild
new file mode 100644
index 00000000000..2a65a4c4820
--- /dev/null
+++ b/app-text/teckit/teckit-2.5.10.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Text Encoding Conversion toolkit"
+HOMEPAGE="http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&cat_id=TECkit"
+SRC_URI="https://github.com/silnrsi/teckit/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="|| ( CPL-0.5 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="sys-libs/zlib
+ dev-libs/expat"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.5.1-mixcflagscxxflags.patch"
+)
+
+src_prepare() {
+ rm -f configure || die
+
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+ dodoc AUTHORS README NEWS
+ find "${ED}" -name '*.la' -delete || die
+}
+
+src_test() {
+ cd "${S}/test" || die
+ chmod +x dotests.pl || die
+ ./dotests.pl || die "tests failed"
+}